# Namespace bot.userAgent

code »
Show:PublicProtectedPrivate

## Global Functions

code » bot.userAgent.isEngineVersion ( version ) ⇒ `boolean`

Whether the rendering engine version of the current browser is equal to or greater than the given version. This implementation differs from goog.userAgent.isVersion in the following ways:

1. in a Firefox extension, tests the engine version through the XUL version comparator service, because no window.navigator object is available
2. in IE, compares the given version to the current documentMode

Parameters

version: `(string|number)`
  The version number to check.

Returns

Whether the browser engine version is the same or higher than the given version.

code » bot.userAgent.isProductVersion ( version ) ⇒ `boolean`

Whether the product version of the current browser is equal to or greater than the given version. This implementation differs from goog.userAgent.product.isVersion in the following ways:

1. in a Firefox extension, tests the product version through the XUL version comparator service, because no window.navigator object is available
2. on Android, always compares to the version to the OS version

Parameters

version: `(string|number)`
  The version number to check.

Returns

Whether the browser product version is the same or higher than the given version.

## Global Properties

code » bot.userAgent.ANDROID_PRE_GINGERBREAD : `boolean`

Whether the current browser is Android pre-gingerbread.

code » bot.userAgent.ANDROID_PRE_ICECREAMSANDWICH : `boolean`

Whether the current browser is Android pre-icecreamsandwich

code » bot.userAgent.ANDROID_VERSION_ : `string`

Android Operating System Version.

code » bot.userAgent.FIREFOX_EXTENSION : `boolean`

Whether we are in a Firefox extension.

code » bot.userAgent.FIREFOX_EXTENSION_IS_ENGINE_VERSION_ : `(undefined|function((string|number)): boolean)`

When we are in a Firefox extension, this is a function that accepts a version and returns whether the version of Gecko we are on is the same or higher than the given version. When we are not in a Firefox extension, this is null.

code » bot.userAgent.FIREFOX_EXTENSION_IS_PRODUCT_VERSION_ : `(undefined|function((string|number)): boolean)`

When we are in a Firefox extension, this is a function that accepts a version and returns whether the version of Firefox we are on is the same or higher than the given version. When we are not in a Firefox extension, this is null.

code » bot.userAgent.IE_DOC_10 : `boolean`

Whether the current document is IE in IE10 (or newer) standards mode.

code » bot.userAgent.IE_DOC_9 : `boolean`

Whether the current document is IE in IE9 (or newer) standards mode.

code » bot.userAgent.IE_DOC_PRE10 : `boolean`

Whether the current document is IE in a documentMode older than 10.

code » bot.userAgent.IE_DOC_PRE8 : `boolean`

Whether the current document is IE in a documentMode older than 8.

code » bot.userAgent.IE_DOC_PRE9 : `boolean`

Whether the current document is IE in a documentMode older than 9.

code » bot.userAgent.IOS : `boolean`

Whether we are on IOS.

code » bot.userAgent.MOBILE : `boolean`

Whether we are on a mobile browser.

code » bot.userAgent.SAFARI_6 : `boolean`

Whether the current browser is Safari 6.

code » bot.userAgent.WINDOWS_PHONE : `boolean`

Whether the current browser is Windows Phone.